r.null(1)

NAME
r.null - Manages NULL-values of given raster map.

KEYWORDS
raster, null data

SYNOPSIS
r.null
r.null --help
r.null [-fincr] map=name [setnull=val[-val][,val[-val],...]] [null=float] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-f
    Only do the work if the map is floating-point

-i
    Only do the work if the map is integer

-n
    Only do the work if the map doesn’t have a NULL-value bitmap file

-c
    Create NULL-value bitmap file validating all data cells

-r
    Remove NULL-value bitmap file

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of raster map for which to edit null values

setnull=val[-val][,val[-val],...]
    List of cell values to be set to NULL

null=float
    The value to replace the null value by

DESCRIPTION
The function of r.null is to explicitly create the NULL-value bitmap file. The intended usage is to fix "old" maps that don’t have a NULL-value bitmap file (i.e. to indicate if zero is valid value or is to be converted to NULL). The module does not work with reclassified maps.

The design is flexible. Ranges of values can be set to NULL and/or the NULL value can be eliminated and replace with a specified value.

The setnull parameter is used to specify values in the ranges to be set to NULL. A range is either a single value (e.g., 5.3), or a pair of values (e.g., 4.76-34.56). Existing NULL-values are left NULL, unless the null argument is requested.

The null parameter eliminates the NULL value and replaces it with value. This argument is applied only to existing NULL values, and not to the NULLs created by the setnull argument.

EXAMPLES
Set specific values of a classified map to NULL:

r.null map=landcover.30m setnull=21,22

Set NULL-values of a map to a specific value:

r.null map=fields null=99

NOTES
Note that value is restricted to integer if the map is an integer map.

r.null and reclassified maps:
The problem is, if r.null was run on the reclass raster it would alter the original and any other reclass rasters of the original. Therefore r.null doesn’t allow recoding reclassified maps (products of r.reclass).
So, the way to recode such a map is: The user makes a raster out of the reclass that isn’t a reclass by copying it:

r.mapcalc newmap = reclass

SEE ALSO
r.support and r.quant

AUTHOR
U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2015-07-11 16:04:13 +0200 (so, 11 7 2015) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual